<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_person = $_GET['id_p'];
$id_inout = $_GET['id'];

if ($id_inout>0)
{
	$action2 = "update";
	$row = $ali->PersonInOutGet($id_inout);
}
else
	$action2 = "insert";

$title[] = array("$row[name] $row[surname]",'person.php?id='.$id_person);
$title[] = array("Anagrafica",'person2.php?id='.$id_person);
$title[] = array("Entrate e uscite dall'Italia",'');

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
?>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="<?=$action2;?>">
<input type="hidden" name="from" value="person_inout">
<input type="hidden" name="id_person" value="<?=$id_person;?>">
<input type="hidden" name="id_inout" value="<?=$id_inout;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_text("mese/anno","start_date",$row[start_date],30,0,$input_right);
echo $hh->input_textarea("motivo (vacanze, motivi familiari, espulsione, ...)","reason",$row[reason],50,3,"",$input_right);
echo $hh->input_submit("conferma","",$input_right);
?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
