<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_person = $_GET['id'];

$row = $ali->PersonGet($id_person);
$title[] = array("$row[name] $row[surname]",'person.php?id='.$id_person);
$title[] = array("Formazione",'');

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
echo "<div style=\"float: right; border: 1px solid #DDDDDD; margin: 5px; padding: 3px; background-color: #EEEEEE;\">ID$row[id_person] - Centro C$row[id_center]</div>\n";
?>
<script type="text/javascript">
function dosubmit()
{
	f=document.forms['form1'];
	f.submit();
}
</script>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="update">
<input type="hidden" name="from" value="person4">
<input type="hidden" name="id_person" value="<?=$id_person;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_separator("SCHEDA FORMAZIONE di $row[name] $row[surname]");
echo $hh->input_text("lingue conosciute","languages",$row[languages],50,0,$input_right);
$combo_values1 = array('1'=>'ottimo','2'=>'buono','3'=>'mediocre','4'=>'nullo');
echo $hh->input_array("conoscenza lingua italiana","italian",$row[italian],$combo_values1,$input_right);
echo $hh->input_checkbox("informatica di base","computer",$row[computer],0,$input_right);
echo $hh->input_text("programmi (software)","software",$row[software],50,0,$input_right);

$edus = $ali->PersonEdus($id_person);
$hhf = new HHFunctions();
if (count($edus)>0)
{
	$edus_table = "<table border=1 cellspacing=0 cellpadding=2><tr><th>descrizione</th><th>paese</th><th>durata</th><th>completata</th><th></th></tr>";
	foreach($edus as $edu)
		$edus_table .= "<tr><td>$edu[description]</td><td>$edu[country]</td><td>$edu[length]</td><td>".$hhf->Bool2YN($edu[completed])."</td><td><a href=\"person_edu.php?id_p=$id_person&id=$edu[id_edu]\">modifica</a></td></tr>\n";
	$edus_table .= "</table>";
}
echo $hh->input_table("esperienze formative","person_edu.php?id_p=$id_person&id=0",$input_right,$edus_table);

echo $hh->input_textarea("note","edu_notes",$row[edu_notes],60,3,"",$input_right);
echo $hh->input_submit("conferma","dosubmit()",$input_right);
?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
