<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_person = $_GET['id'];

$row = $ali->PersonGet($id_person);
$title[] = array("$row[name] $row[surname]",'person.php?id='.$id_person);
$title[] = array("Alloggio",'');

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
echo "<div style=\"float: right; border: 1px solid #DDDDDD; margin: 5px; padding: 3px; background-color: #EEEEEE;\">ID$row[id_person] - Centro C$row[id_center]</div>\n";
?>
<script type="text/javascript">
function dosubmit()
{
	f=document.forms['form1'];
	f.submit();
}
</script>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="update">
<input type="hidden" name="from" value="person5">
<input type="hidden" name="id_person" value="<?=$id_person;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_separator("SCHEDA ALLOGGIO di $row[name] $row[surname]");
echo $hh->input_checkbox("intenzionato/a a<br>cercare/cambiare casa","change_home",$row[change_home],0,$input_right);
echo $hh->input_text("motivazione","change_home_reason",$row[change_home_reason],50,0,$input_right);
echo $hh->input_text("zona","home_area",$row[home_area],50,0,$input_right);
echo $hh->input_text("massimo affitto (euro)","home_max_rent",$row[home_max_rent],10,0,$input_right);
$combo_values1 = array('1'=>'acquisto','2'=>'affitto','3'=>'condivisione','4'=>'altro');
echo $hh->input_list("tipologia","home_type",$row[home_type],$combo_values1,$input_right);

$homes = $ali->PersonHomes($id_person);
if (count($homes)>0)
{
	$combo_values1 = array('1'=>'proprieta','2'=>'affitto','3'=>'condivisione','4'=>'accoglienza');
	$combo_values2 = array('1'=>'garanzia','2'=>'in proprio','3'=>'in nero');
	$combo_values4 = array('1'=>'parente','2'=>'connazionali','3'=>'annuncio','4'=>'agenzia','5'=>'serv.sociali','6'=>'altro');
	$combo_values5 = array('0'=>'-','1'=>'volontario','2'=>'sfratto','3'=>'sgombero');
	
	$homes_table = "<table border=1 cellspacing=0 cellpadding=2><tr><th>periodo</th><th>luogo</th><th>tipo</th><th>contratto</th><th>come trovato</th><th>abbandono</th><th></th></tr>";
	foreach($homes as $home)
		$homes_table .= "<tr><td>$home[period]</td><td>$home[place]</td><td>{$combo_values1[$home[type]]}</td><td>{$combo_values2[$home[contract]]}</td><td>{$combo_values4[$home[contact]]}</td><td>{$combo_values5[$home[left_reason]]}</td><td><a href=\"person_home.php?id_p=$id_person&id=$home[id_home]\">modifica</a></td></tr>\n";
	$homes_table .= "</table>";
}
echo $hh->input_table("precedenti alloggi (in italia)","person_home.php?id_p=$id_person&id=0",$input_right,$homes_table);

echo $hh->input_textarea("note","home_notes",$row[home_notes],60,3,"",$input_right);
echo $hh->input_submit("conferma","dosubmit()",$input_right);
?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
