<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_person = $_GET['id'];

$row = $ali->PersonGet($id_person);
$title[] = array("$row[name] $row[surname]",'person.php?id='.$id_person);
$title[] = array("Varie",'');

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
echo "<div style=\"float: right; border: 1px solid #DDDDDD; margin: 5px; padding: 3px; background-color: #EEEEEE;\">ID$row[id_person] - Centro C$row[id_center]</div>\n";
?>
<script type="text/javascript">
function dosubmit()
{
	f=document.forms['form1'];
	f.submit();
}
</script>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="update">
<input type="hidden" name="from" value="person6">
<input type="hidden" name="id_person" value="<?=$id_person;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_separator("Situazione finanziaria");
$combo_values1 = array('0'=>'nessuno','1'=>'meno di 1000 euro','2'=>'tra 1000 e 2000 euro','3'=>'piu\' di 2000 euro');
echo $hh->input_array("salario","salary",$row[salary],$combo_values1,$input_right);
echo $hh->input_checkbox("titolare di conto in banca","bank_account",$row[bank_account],0,$input_right);
echo $hh->input_checkbox("sostegno a parenti nel paese di origine","home_support",$row[home_support],0,$input_right);
echo $hh->input_text("quanto (euro)","how_much_support",$row[how_much_support],6,0,$input_right);

echo $hh->input_separator("Personale");
echo $hh->input_text("religione","religion",$row[religion],50,0,$input_right);
$combo_values2 = array('1'=>'lavoro','2'=>'studio','3'=>'ricongiungimento familiare','4'=>'asilo');
echo $hh->input_list("motivo emigrazione","emi_reason",$row[emi_reason],$combo_values2,$input_right);
echo $hh->input_textarea("motivo scelta di questa citta'","town_reason",$row[town_reason],60,3,"",$input_right);

$socs = $ali->PersonSocs($id_person);
if (count($socs)>0)
{
	$socs_table = "<table border=1 cellspacing=0 cellpadding=2><tr><th>periodo</th><th>servizio</th><th></th></tr>";
	foreach($socs as $soc)
		$socs_table .= "<tr><td>$soc[period]</td><td>$soc[service]</td><td><a href=\"person_soc.php?id_p=$id_person&id=$soc[id_soc]\">modifica</a></td></tr>\n";
	$socs_table .= "</table>";
}
echo $hh->input_table("utilizzo servizi sociali","person_soc.php?id_p=$id_person&id=0",$input_right,$socs_table);

echo $hh->input_textarea("note (salute, altri disagi,...)","varia_notes",$row[varia_notes],60,3,"",$input_right);
echo $hh->input_submit("conferma","dosubmit()",$input_right);
?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
