<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_person = $_GET['id_p'];
$id_service = $_GET['id'];
$row2 = $ali->PersonGet($id_person);

if ($id_service>0)
{
	$action2 = "update";
	$row = $ali->PersonServiceGet($id_service);
}
else
	$action2 = "insert";

$title[] = array("$row2[name] $row2[surname]",'person.php?id='.$id_person);
$title[] = array("Scheda servizio",'person7.php?id='.$id_person);
$title[] = array("Servizio",'');

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
?>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="<?=$action2;?>">
<input type="hidden" name="from" value="person_service">
<input type="hidden" name="id_person" value="<?=$id_person;?>">
<input type="hidden" name="id_service" value="<?=$id_service;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_date("data","insert_date",$row[insert_date],$input_right);

echo $hh->input_separator("Individuazione del bisogno");
$combo_values1 = array('1'=>'lavoro','2'=>'alloggio','3'=>'assistenza legale','4'=>'formazione','5'=>'altro');
echo $hh->input_list("richiesta","request",$row[request],$combo_values1,$input_right);

echo $hh->input_separator("Servizio offerto");
$combo_values2 = array('1'=>'opportunita\' formative','2'=>'opportunita\' lavorative','3'=>'legislazione vigente','4'=>'servizi territoriali','5'=>'altro');
echo $hh->input_list("informazioni","info",$row[info],$combo_values2,$input_right);

$combo_values3 = array('1'=>'Stesura curriculum','2'=>'Individuazione percorsi formativi','3'=>'Individuazione percorsi lavorativi','4'=>'Valutazione competenze','5'=>'Ricerca disponibilit? aziende per tirocini formativi','6'=>'Ricerca azienda per inserimento lavorativo','7'=>'Contatto diretto con datore di lavoro','8'=>'altro');
echo $hh->input_list("ricerca lavoro","job_search",$row[job_search],$combo_values3,$input_right);

$combo_values4 = array('1'=>'Informazioni bandi ERP','2'=>'Individuazione disponibilit? strutture di accoglienza','3'=>'Ricerca attiva soluzione abitativa','4'=>'Lettura annunci','5'=>'Contatto diretto con proprietario casa','6'=>'altro');
echo $hh->input_list("ricerca alloggio","home_search",$row[home_search],$combo_values4,$input_right);

$combo_values5 = array('1'=>'Servizi territoriali','2'=>'Servizi erogati da altri organismi','3'=>'Aziende','4'=>'Enti di formazione','5'=>'altro');
echo $hh->input_list("accompagnamento","support",$row[support],$combo_values5,$input_right);
echo $hh->input_textarea("descrizione accompagnamento","support_description",$row[support_description],50,3,"",$input_right);

$combo_values6 = array('1'=>'positivo','2'=>'negativo','3'=>'non noto');
echo $hh->input_array("risultato","result",$row[result],$combo_values6,$input_right);

echo $hh->input_textarea("note","notes",$row[notes],60,5,"",$input_right);

echo $hh->input_submit("conferma","",$input_right);
?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
