<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

header("Content-Type: application/json");
if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/../others/OpenInviter/openinviter.php");

$emailAddress = isset($_POST["email"]) ? $_POST["email"] : "";
$password = isset($_POST["pwd"]) ? $_POST["pwd"] : "";
$emailProvider = isset($_POST["provider"]) ? $_POST["provider"] : "";

$inviter=new OpenInviter();
$oi_services=$inviter->getPlugins();

$ers = array();
if (count($ers)==0)
{
    $inviter->startPlugin($emailProvider);
    $internal=$inviter->getInternalError();
    
    if ($internal)
        $ers['inviter']=$internal;
        
    elseif (!$inviter->login($emailAddress,$password))
    {
        $internal=$inviter->getInternalError();
        echo "Login failed. Please check the email and password you have provided and try again later";
    }
    elseif (false===$contacts=$inviter->getMyContacts())
     {
        echo "Unable to get contacts1";
     }
    else
    {
        $import_ok=true;
        echo json_encode($contacts);
    }
}


?>
